请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册

QQ登录

只需一步,快速开始

nginx环境上导致ecshop后台无法登录的解决方案

最近将ecshop迁移到nginx,发觉后台一直无法登录,刚开始一直认为是php5.4以上版本导致的问题,但一直修改仍不能登录,百思不得其解,google得知问题的根源在于 Nginx,解决办法为修改

include/cls_ecshop.php 文件 153 行左右


找到以下代码:
  1.     function http()
  2.     {
  3.         return (isset($_SERVER['HTTPS']) && (strtolower($_SERVER['HTTPS']) != 'off')) ? 'https://' : 'http://';
  4.     }
复制代码
替换为以下代码:
  1.     function http()
  2.     {
  3.         return (isset($_SERVER['HTTPS']) && (strtolower($_SERVER['HTTPS']) == 'on')) ? 'https://' : 'http://';
  4.     }
复制代码
完美解决!希望对遇到此问题的网友有所帮助!模板之家亲测!
回复

使用道具 举报

大神点评2

phily 2016-1-11 11:42:21 显示全部楼层
现在phpweb还是要求php5.2以下环境吗?
回复 支持 反对

使用道具 举报

 楼主| 模板之家 2016-1-11 12:42:13 显示全部楼层
phily 发表于 2016-1-11 11:42
现在phpweb还是要求php5.2以下环境吗?

PHPWEB必须用php5.2
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

    热门帖子
  • 精华
  • 新帖
快速回复 返回顶部 返回列表